Bug 13741 - kernel header files miss some simlinks
Summary: kernel header files miss some simlinks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-11 18:54 UTC by helmut katzgraber
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 00:16:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description helmut katzgraber 2000-07-11 18:54:10 UTC
hi,

it seems that there are some simlinks missing from the kernel header files
for kernel 2.2.16-3. code which would compile before with kernel 2.2.14,
does not compile any longer.

e.g.:
In file included from /usr/include/bits/posix1_lim.h:126,
                 from /usr/include/limits.h:30,
                 from
/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/limits.h:117,
                 from
/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/syslimits.h:7,
                 from
/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/limits.h:11,
                 from /usr/include/g++-2/stl_algobase.h:49,
                 from /usr/include/g++-2/list:30,
                 from process_halos.cc:3:
/usr/include/bits/local_lim.h:27: linux/limits.h: No such file or
directory

Comment 1 Pierre Thonne 2000-07-11 20:28:48 UTC
Yes,

I have the same problem but it's simple to fix it :

Just create in /usr/include two symbolic links  :

asm -> /src/linux/include/asm
linux -> /src/linux/include/linux

If you don't know how to create the links, just with mc (midnight commander) :
- open the kernel-headers rpm file (versin 2.2.14) with enter on the file
- open the cpio file witj enter
- just copy the include directory in your /usr directory

that's all

Pierre Thonne
Brussels
Belgium

Comment 2 roger.bivand 2000-07-12 07:36:51 UTC
This is the same as #13291 and another (#135.., on Sparc), title
/usr/include/asm. As I note in #13291, a fix is to rpm -ivh --force the
2.2.14.12 headers back in, but the links are still to the older headers. I found
that just making the /usr/include/asm and /usr/include/linux symlinks to the
/usr/src/ directories for 2.2.16-3 didn't solve all the problems.

What worries me most is that this hasn't been attended to yet!!



Comment 3 roger.bivand 2000-07-12 07:43:00 UTC
The number was #13517 - there are further helpful comments there

Comment 4 helmut katzgraber 2000-07-16 21:01:40 UTC

hi,

i tried adding the links by hand and it still does not work?!? could it be
related to the fact that i have a smp machine where the smp kernel is 2.2.16-3
whereas the "backup-no-smp-kernel" is 2.2.14-12? it complains now about
errno.h...

is there going to be a fixed kernel any time soon?

thanks, h.

Comment 5 Alan Cox 2002-12-15 00:16:29 UTC
This was fixed later but the bug was not closed

Closing it now



Note You need to log in before you can comment on or make changes to this bug.